#!/bin/bash
# Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
#
# This software is published by the license of CPU-OS License，you can use and
# distibuted this software under this License. See CPU-OS Liense for more detail.
#
# You should have receive a copy of CPU-OS License. If not, please contact us
# by email <support_os@cpu-os.ac.cn>

if [ $1 == "check" ]; then
{
	system_package_version=`dpkg -s $2 | grep Version | cut -d ':' -f2 `
	origin_package_version=`apt-cache show $2 | grep Version |head -n 1|cut -d ":" -f2`
#	echo $system_package_version;
#	echo $origin_package_version;
	if [ $system_package_version == $origin_package_version ]; then
		echo "same"
	else
		echo "update"
	fi
}
fi
if [ $1 == "update" ]; then
	apt-get --reinstall install $2 --assume-yes --force-yes  >/dev/null 2>&1

fi

